# Search Response Schema

for the sake of future updates, both of the face related searches are included here.

```
{
  "$schema": "http://json-schema.org/draft-07/schema#",
  "title": "SceneCheck Image Analysis",
  "type": "object",
  "properties": {
    "location": {
      "type": "object",
      "properties": {
        "continent": { "type": "string" },
        "country": { "type": "string" },
        "city": { "type": "string" },
        "environment": { "type": "string" },
        "location_confidence": {
          "type": "number",
          "minimum": 0,
          "maximum": 100
        }
      }
    },
    "scene": {
      "type": "object",
      "properties": {
        "description": { "type": "string" },
        "objects": {
          "type": "array",
          "items": { "type": "string" }
        },
        "architecture": { "type": "string" }
      }
    },
    "profiles": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "gender": { "type": "string" },
          "age_range": { "type": "string" },
          "ethnicity": { "type": "string" },
          "clothing": { "type": "string" },
          "accessories": {
            "type": "array",
            "items": { "type": "string" }
          },
          "activity": { "type": "string" }
        }
      }
    },
    "time": {
      "type": "object",
      "properties": {
        "time_of_day": { "type": "string" },
        "season": { "type": "string" }
      }
    },
    "threat_assessment": {
      "type": "object",
      "properties": {
        "level": {
          "type": "string",
          "enum": ["low", "medium", "high"]
        }
      }
    },
    "texts_and_symbols": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "text": { "type": "string" },
          "confidence": { "type": "number" }
        }
      }
    },
    "analysis_metadata": {
      "type": "object",
      "properties": {
        "seed": { "type": "integer" },
        "model": { "type": "string" }
      }
    }
  },
  "required": ["location", "time", "threat_assessment"]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.espysys.com/scene-check/search-response-schema.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
